0

I did a clean installation of Ubuntu 14.04.2 two months ago and I noticed recently that firefox was stuck at version 36. I uninstalled it and then the system showed version 35 as the latest. The same applies for some other packages like compiz-plugins which I cannot install because it is stuck on an older version and conflicts with other compiz packages. The system complained many times about held packages before that. I tried fixing broken dependencies but no luck.

What can I do?

  • What error messages are given when you try sudo apt-get install firefox? – Wilf Apr 30 '15 at 13:57
  • i don't get an error, the firefox version i get is old(35 instead of 37). This is not the case for my other installation of ubuntu that i have on my laptop which is basically the same as my desktop, i normally get version 37 there. My problem is that i can't get the latest version for some packages from the ubuntu repository, which does not happen on my other installation of ubuntu. (no ppa involved) – Iraklis1989 Apr 30 '15 at 14:13
  • 1
    Does sudo apt-get update show any errors or suspicious output? What do you have in the file /etc/apt/sources.list? – pabouk Apr 30 '15 at 14:34
  • sudo apt-get update works normally. sources.list contains the ubuntu repositories and they seem to be all enabled – Iraklis1989 Apr 30 '15 at 16:01
  • Can you install the latest version of Firefox after the update (and perhaps 'un-holding' it askubuntu.com/questions/164587/…) - and can you install Firefox from a deb package from packages.ubuntu.com/trusty/firefox ? – Wilf Apr 30 '15 at 17:01
1

I fixed this by changing the server in Software and Updates. For some reason the server I was using for the updates was misbehaving.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.